Bug 1952179

Summary: OpenStack Provider Ports UI Underscore Variables
Product: OpenShift Container Platform Reporter: egarcia
Component: Cloud ComputeAssignee: egarcia
Cloud Compute sub component: OpenStack Provider QA Contact: Itzik Brown <itbrown>
Status: CLOSED ERRATA Docs Contact:
Severity: medium    
Priority: medium CC: adduarte, egarcia, m.andre, mfedosin, pprinett
Version: 4.8Keywords: Triaged
Target Milestone: ---   
Target Release: 4.8.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-07-27 23:02:20 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description egarcia 2021-04-21 17:10:58 UTC
Always Reproducable:


type PortOpts struct {
	NetworkID           string        `json:"networkID" required:"true"`
	NameSuffix          string        `json:"nameSuffix" required:"true"`
	Description         string        `json:"description,omitempty"`
	AdminStateUp        *bool         `json:"adminStateUp,omitempty"`
	MACAddress          string        `json:"macAddress,omitempty"`
	FixedIPs            []FixedIPs    `json:"fixedIPs,omitempty"`
	TenantID            string        `json:"tenantID,omitempty"`
	ProjectID           string        `json:"projectID,omitempty"`
	SecurityGroups      *[]string     `json:"securityGroups,omitempty"`
	AllowedAddressPairs []ports.AddressPair `json:"allowedAddressPairs,omitempty"`
....
}

using ports.AddressPair is problematic:
1. the interface is dictated by gophercloud and not in our control
2. the interfcae uses underscore variable names not camel case

Comment 5 Itzik Brown 2021-05-05 13:05:05 UTC
Same verification as in https://bugzilla.redhat.com/show_bug.cgi?id=1948546

Comment 8 errata-xmlrpc 2021-07-27 23:02:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438